using System.Collections.Generic;
using Android.Hardware.Usb;

namespace Master.AndroidCode.Testing
{
    public interface ITestableUsbManager
    {
        IDictionary<string, ITestableUsbDevice> DeviceList { get; }
        ITestableUsbDeviceConnection OpenDevice(ITestableUsbDevice device);
        UsbAccessory[] GetAccessoryList();
    }
}