using Android.Hardware.Usb;

namespace Master.AndroidCode.Testing
{
    class TestableUsbDevice :ITestableUsbDevice
    {
        public TestableUsbDevice(UsbDevice device)
        {
            Device = device;
        }
        public string DeviceName { get { return Device.DeviceName; } }
        public UsbDevice Device { get; private set; }

        public ITestableUsbInterface GetInterface(int index)
        {
            return new TestableUsbInterface(Device.GetInterface(index));
        }
    }
}