using Android.Hardware.Usb;

namespace Master.AndroidCode.Testing
{
    public class MockUsbDevice : ITestableUsbDevice
    {
        private readonly string _deviceName;

        public MockUsbDevice(string name)
        {
            _deviceName = name;
        }

        public string DeviceName
        {
            get { return _deviceName; }
        }

        public UsbDevice Device { get; set; }

        public ITestableUsbInterface GetInterface(int index)
        {
            return new MockUsbInterface();
        }
    }
}