using Android.Hardware.Usb;

namespace Master.AndroidCode.Testing

{
    public class MockUsbEndpoint : ITestableUsbEndpoint
    {
        private UsbAddressing _type;
        private UsbAddressing _dir;
        public UsbAddressing Direction
        {
            get { return _dir; }
        }

        public UsbAddressing Type
        {
            get {return  _type; }
        }

        public UsbEndpoint Endpoint { get { return null; }}

        public MockUsbEndpoint(int index)
        {
           
            if (index == UsbController.SetOptionEndpoint)
            {
                _dir = UsbAddressing.Out;
                _type = UsbAddressing.XferBulk;
            }else if (index == UsbController.GetDevicesInterface)
            {
                _dir = UsbAddressing.In;
                _type = UsbAddressing.XferBulk;
            }
            else
            {
                _dir = UsbAddressing.Out;
                _type = UsbAddressing.XferBulk;
            }
        }
    }
}